%global tar_version 4.4.3
%global import_path   github.com/ovirt/go-ovirt
%global gopath        %{_datadir}/gocode
%global build_gopath  %{buildroot}/%{gopath}

Name: go-ovirt-engine-sdk4
Summary: Go SDK for version 4 of the oVirt Engine API
Version: 4.4.3
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://godoc.org/%{import_path}
Source: ovirt-engine-sdk-go-%{tar_version}.tar.gz

BuildRequires: golang

%description
This package contains the Go SDK for version 4 of the oVirt Engine API.


%package devel
BuildRequires:  golang
Requires:       golang
Summary:        Go SDK for version 4 of the oVirt Engine API
Provides:       golang(%{import_path}) = %{version}-%{release}

%description devel
This package contains the Go SDK for version 4 of the oVirt Engine API.

%define debug_package %{nil}

%prep
%setup -q -n ovirt-engine-sdk-go-%{tar_version}


%build


%install
install -d %{build_gopath}/src/%{import_path}
cp -av ./* %{build_gopath}/src/%{import_path}


%check
export GOPATH=%{build_gopath}
go test -v -mod=vendor ./
rm -fr %{build_gopath}/pkg/*


%clean
rm -rf %{buildroot}


%files devel
%defattr(-,root,root,-)
%doc README.md examples
%license LICENSE.txt
%dir %{gopath}/src/%{import_path}
%{gopath}/src/%{import_path}/*


%changelog
